package com.kxs.common.core.valid;

import com.kxs.common.core.valid.impl.SnValidator;
import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.*;

/**
 * 手机号验证正则
 * @author mac
 */
@Target({ElementType.FIELD,ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(validatedBy = {SnValidator.class})// 指定约束处理器
public @interface Sn {

    String pattern() default "^[a-zA-Z0-9]+$";

    String message() default "SN格式非法";

    Class<?>[] groups() default { }; // groups用来指定分组，可以让校验采取不同的机制，当前默认未指定任何分组机制，默认每次都要进行校验

    Class<? extends Payload>[] payload() default { };


}

